Bug 490684 - suspending laptop causes power manager to fail to recognize power status
suspending laptop causes power manager to fail to recognize power status
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
: 492576 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 12:26 EDT by jeremy boyd
Modified: 2009-12-18 04:02 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:02:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeremy boyd 2009-03-17 12:26:38 EDT
Description of problem: i'm using kernel 2.6.27.15-170.2.24.fc10.x86_64 with fedora 10 on an hp pavilion laptop model dv7-1174ca. when i close the laptop lid to suspend the laptop and re-open it the power manager icon in the notification area shows a critically low battery level. this happens whether the laptop is plugged in to ac or running on a full battery. also, if it is running on a battery, after i re-open the lid the power profile for plugged in is the one that controls the computer ie. dimming backlight etc.


Version-Release number of selected component (if applicable): 2.24.4-1


How reproducible:always


Steps to Reproduce:
1. suspend laptop
2. wake up from suspend
3. check battery or power status
  
Actual results: power status is not recognized and battery power is listed as critical


Expected results: should recognize actual power status


Additional info:
Comment 1 Jarod Wilson 2009-03-17 12:52:44 EDT
Wrong component.
Comment 2 jeremy boyd 2009-03-17 13:41:15 EDT
which component should i assign this to?
Comment 3 Jarod Wilson 2009-03-17 14:35:40 EDT
I already reassigned it to gnome-power-manager, its up to hughsie if it gets reassigned elsewhere now. :)
Comment 4 jeremy boyd 2009-03-17 15:43:06 EDT
(In reply to comment #3)
> I already reassigned it to gnome-power-manager, its up to hughsie if it gets
> reassigned elsewhere now. :)  

thanks for the help, i'm fairly new to bug reporting
Comment 5 Gustavo Maciel Dias Vieira 2009-03-26 21:32:02 EDT
Same problem on an HP Pavilion dv4-1125br.
Comment 6 Gustavo Maciel Dias Vieira 2009-04-08 21:07:13 EDT
I believe it should be reassigned to kernel or whatever package handles ACPI.

Im my machine, before suspend I can get battery information in /proc/acpi/battery/BAT0/state . After the suspend/resume, BAT0/state shows not present. So, it seems g-p-m can do nothing about it.

This happens both in F10 and in rawhide. Current kernel: 2.6.29.1-52.fc11.x86_64
Comment 7 Gustavo Maciel Dias Vieira 2009-04-12 21:45:04 EDT
This bug is a duplicate of bug #492576
Comment 8 Jarod Wilson 2009-04-13 08:43:37 EDT
*** Bug 492576 has been marked as a duplicate of this bug. ***
Comment 9 Richard Hughes 2009-08-20 07:37:59 EDT
Still happens with F11?
Comment 10 Gustavo Maciel Dias Vieira 2009-08-20 09:17:36 EDT
Yes, with kernel 2.6.29.6-217.2.8.fc11.x86_64.
Comment 11 Don Harden 2009-08-28 15:21:28 EDT
Confirmed on an HP Pavillion-dv7t 1000 running Fedora 11 2.6.29.6-217.2.16.fc11.x86_64
Comment 12 Gadi Cohen 2009-10-17 09:11:03 EDT
Solved.  See http://patchwork.kernel.org/patch/35062/
Comment 13 Gadi Cohen 2009-10-17 09:13:11 EDT
See also http://bugzilla.kernel.org/show_bug.cgi?id=13745
Comment 14 Gustavo Maciel Dias Vieira 2009-10-19 08:26:31 EDT
Thanks for the tip Gadi!

However, the patches you have linked do not solve this particular issue as the hardware is different.

I've created a patch to fix it for the dv4. I applied it to the current F11 kernel and it fixes the issue. I uploaded it to the upstream bug for my laptop: http://bugzilla.kernel.org/show_bug.cgi?id=13449

dv7 owners: post the output of "dmidecode  | grep -i product" and I can produce a patch for your machines for you to test.

Also, can someone please reassign this to kernel? Maybe the Fedora maintainer will find this simple and important enough for a kernel update to F11/F12.
Comment 15 Jarod Wilson 2009-10-19 09:19:55 EDT
Reassigning to kernel.
Comment 16 Gustavo Maciel Dias Vieira 2009-11-11 12:05:09 EST
Patches for this issue for dv4 and dv7 laptops are in the Linus tree for 2.6.32.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=2839d396e3ae0891c1fdd87aa1cea218e6f5c4df
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=8a1cbf64977f89e9e9bc1d80dd01503337424f96

They can easily backported to 2.6.30 and 2.6.31 for Fedora 11 and 12.
Comment 17 Bug Zapper 2009-11-18 06:32:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Gustavo Maciel Dias Vieira 2009-11-18 08:32:57 EST
This bug is still present in F11 and F12.
Comment 19 Bug Zapper 2009-12-18 04:02:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.